import { jsx } from "react/jsx-runtime";
import { TokenMFT as TokenMFT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMFT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MFT", "data-name": "TokenMFT", ...props, children: /* @__PURE__ */ jsx(TokenMFT$1, { variant }) });
  }
);
TokenMFT.displayName = "TokenMFT";
Object.assign(TokenMFT, { isGdsIcon: true });
export {
  TokenMFT
};
